Can't upgrade to os883 official from XO 1.75

Gonzalo Odiard gonzalo at
Fri Dec 30 07:37:03 EST 2011

Are you sure it's a XO-1.75?
If yes, may you have a very old testing release (I don't know why look for
python 2.6)
Please tell me what image are you using. (You can look in the control panel
-> about my computer)

You can try flash the xo (after doing a backup)


2011/12/30 Lionel Laské <lionel.laske at>

> Hi all,
> Playing with the XO 1.75 B1, I'm trying to upgrade to os883 official.
> I've got an error message (see below), both when I upgrading from an
> USB key or online.
> Sounds like a developer key missing. Do I need a developer key for an
> official release on XO 1.75 ?
> FYI I've just update to q4c10 firmware.
> Thanks for your help.
> Best regards from France.
>              Lionel
> [olpc at xo-c5-b9-5d ~]$ sudo olpc-update official_xo1.75-883
> Traceback (most recent call last):
>  File "/usr/sbin/olpc-update", line 11, in <module>
>    from bitfrost.update.setup import shorten_hash
>  File "/usr/lib/python2.6/site-packages/bitfrost/update/",
> line 5, in <module>
>    from setup import perform_update, inhibit_suspend, check_signature
>  File "/usr/lib/python2.6/site-packages/bitfrost/update/",
> line 11, in <module>
>    from bitfrost.leases.keys import OS_KEYS, DEVELOPER_KEYS
>  File "/usr/lib/python2.6/site-packages/bitfrost/leases/",
> line 52, in <module>
>    raise Exception("OFW is not mounted, cannot read deployment keys")
> Exception: OFW is not mounted, cannot read deployment keys
> [olpc at xo-c5-b9-5d ~]$
> _______________________________________________
> Devel mailing list
> Devel at
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <>

More information about the Devel mailing list